XPILOT-NG-X11(6)

NAME
xpilot-ng-x11 - X11 client for multiplayer space war game.

SYNOPSIS
xpilot-ng-x11 [-options ...] [server]

DESCRIPTION

    Copyright © 1991-2005 by Bjørn Stabell, Ken Ronny Schouten, Bert Gijsbers, Dick Balaska, Uoti Urpala, Juha Lindström, Kristian Söderblom and Erik Andersson. XPilot NG 4.7.0 comes with ABSOLUTELY NO WARRANTY; for details see the provided COPYING file.

Where options include:

-newbie <value>

    Enable newbie help. The default value is: yes.

-help

    Display this help message.

-version

    Show the source code version.

-join

    Join the game immediately, no questions asked.

-text

    Use the simple text interface to contact a server instead of the graphical user interface.

-list

    List all servers running on the local network.

-shutdown <value>

    Shutdown the server with a message. The message used is the first argument to this option. There is no default value for this option.

-name <value>

    Set the nickname. There is no default value for this option.

-user <value>

    Set the username. There is no default value for this option.

-host <value>

    Set the hostname. There is no default value for this option.

-team <value>

    Set the team to join. The default value is: 65535.

-port <value>

    Set the port number of the server. Almost all servers use the default port, which is the recommended policy. You can find out about which port is used by a server by querying the XPilot Meta server. The default value is: 15345.

-clientPortStart <value>

    Use UDP ports clientPortStart - clientPortEnd (for firewalls). The default value is: 0.

-clientPortEnd <value>

    Use UDP ports clientPortStart - clientPortEnd (for firewalls). The default value is: 0.

-power <value>

    Set the engine power. Valid values are in the range 5-55. The default value is: 55.000.

-turnSpeed <value>

    Set the ship's turn speed. Valid values are in the range 4-64. The default value is: 16.000.

-turnResistance <value>

    Set the ship's turn resistance. This determines the speed at which a ship stops turning. Valid values are in the range 0.0-1.0. This should always be 0, other values are for compatibility. See also turnSpeed. The default value is: 0.000.

-scaleFactor <value>

    Specifies scaling factor for the drawing window. The default value is: 1.000.

-altScaleFactor <value>

    Specifies alternative scaling factor for the drawing window. The default value is: 2.000.

-maxFPS <value>

    Set maximum FPS supported by the client. The server will try to send at most this many frames per second to the client. The default value is: 255.

-maxMouseTurnsPS <value>

    Set maximum number of mouse turns sent per second Set to 0 to disable this feature (its mostly useful on modem) The default value is: 0.

-sparkSize <value>

    Size of sparks in pixels. The default value is: 2.

-sparkProb <value>

    The probablilty that sparks are drawn. This gives a sparkling effect. Valid values are in the range [0.0-1.0] The default value is: 0.400.

-hudRadarDotSize <value>

    Which size to use for drawing the hudradar dots. The default value is: 10.

-hudRadarScale <value>

    The relative size of the hudradar. The default value is: 1.500.

-hudRadarLimit <value>

    Hudradar dots closer than this to your ship are not drawn. A value of 1.0 means that the dots are not drawn for ships in your active view area. The default value is: 0.050.

-hudScale <value>

    How much larger than minimum size to draw the hud. The default value is: 2.000.

-baseWarningType <value>

    Which type of base warning you prefer. A value of 0 disables base warning. A value of 1 draws a time meter on a base when a ship is appearing. A value of 2 makes the base name flash when a ship is appearing. A value of 3 combines the effects of values 1 and 2. The default value is: 3.

-maxCharsInNames <value>

    Maximum number of characters to paint in names on game area. The default value is: 16.

-slidingRadar <value>

    If the game is in edgewrap mode then the radar will keep your position on the radar in the center and raw the rest of the radar around it. Note that this requires a fast graphics system. The default value is: yes.

-dirPrediction <value>

    Client paints the wanted direction of your ship instead of what the server sent you. Possible differences are corrected in roundtrip time. The default value is: no.

-showShipShapes <value>

    Should others' shipshapes be displayed or not. The default value is: yes.

-showMyShipShape <value>

    Should your own shipshape be displayed or not. The default value is: yes.

-showShipShapesHack <value>

    Should the ship shapes hack be displayed or not. The default value is: no.

-showLivesByShip <value>

    Paint remaining lives next to ships. The default value is: no.

-showMessages <value>

    Should game messages appear on screen. The default value is: yes.

-showItems <value>

    Should owned items be displayed permanently on the HUD? The default value is: yes.

-showItemsTime <value>

    If showItems is false, the time in seconds to display item information on the HUD when it has changed. The default value is: 5.000.

-filledWorld <value>

    Draws the walls solid, filled with one color, unless overridden by texture. Be warned that this option needs fast graphics. The default value is: no.

-texturedWalls <value>

    Allows drawing polygon bitmaps specified by the (new-style) map. Be warned that this needs a reasonably fast graphics system. The default value is: yes.

-blockProtocol <value>

    Prefer (old) block protocol when joining servers. The default value is: no.

-outlineWorld <value>

    Draws only the outline of all the wall blocks on block based maps. The default value is: no.

-showDecor <value>

    Should decorations be displayed on the screen and radar? The default value is: yes.

-outlineDecor <value>

    Draws only the outline of the map decoration. The default value is: no.

-filledDecor <value>

    Draws filled decorations. The default value is: no.

-texturedDecor <value>

    Draws the map decoration filled with a texture pattern. The default value is: no.

-clientRanker <value>

    Scan messages and make personal kill/death ranking. The default value is: no.

-clockAMPM <value>

    Use AMPM format for clock display instead of 24 hour format. The default value is: no.

-shotSize <value>

    The size of shots in pixels. The default value is: 6.

-teamShotSize <value>

    The size of team shots in pixels. Note that team shots are drawn in teamShotColor. The default value is: 4.

-backgroundPointDist <value>

    The distance between points in the background measured in blocks. These are drawn in empty map regions to keep feeling for which direction the ship is moving to. The default value is: 8.

-backgroundPointSize <value>

Specifies the size of the background points.
    0 means no points.

    The default value is: 2.

-scoreObjectTime <value>

    How many seconds score objects remain visible on the map. The default value is: 4.000.

-charsPerSecond <value>

    Rate at which messages appear on screen in characters per second. The default value is: 100.

-maxMessages <value>

    The maximum number of messages to display at the same time. The default value is: 8.

-messagesToStdout <value>

    Send messages to standard output. 0: Don't. 1: Only player messages. 2: Player and status messages. The default value is: 0.

-maxLinesInHistory <value>

    Number of your messages saved in the 'history' of the talk window. 'history' is accessible with 'keyTalkCursorUp/Down'. The default value is: 32.

-toggleShield <value>

    Are shields toggled by a keypress only? The default value is: no.

-autoShield <value>

    Are shields lowered automatically for weapon fire? The default value is: yes.

-fuelNotify <value>

    The limit when the HUD fuel bar will become visible. The default value is: 500.000.

-fuelWarning <value>

    The limit when the HUD fuel bar will start flashing. The default value is: 200.000.

-fuelCritical <value>

    The limit when the HUD fuel bar will flash faster. The default value is: 100.000.

-speedFactHUD <value>

    How much to move HUD to indicate the current velocity. The default value is: 0.000.

-speedFactPTR <value>

    Uses a red line to indicate the current velocity and direction. The default value is: 0.000.

-showScoreDecimals <value>

    The number of decimals to use when displaying scores. The default value is: 1.

-altPower <value>

    Set the ship's alternate engine power. See also the keySwapSettings option. The default value is: 55.000.

-altTurnSpeed <value>

    Set the ship's alternate turn speed. See also the keySwapSettings option. The default value is: 16.000.

-altTurnResistance <value>

    Set the ship's alternate turn resistance. See also the keySwapSettings option. The default value is: 0.000.

-markingLights <value>

    Should the fighters have marking lights, just like airplanes? The default value is: no.

-modifierBank1 <value>

    The default weapon modifier values for the first modifier bank. There is no default value for this option.

-modifierBank2 <value>

    The default weapon modifier values for the second modifier bank. There is no default value for this option.

-modifierBank3 <value>

    The default weapon modifier values for the third modifier bank. There is no default value for this option.

-modifierBank4 <value>

    The default weapon modifier values for the fourth modifier bank. There is no default value for this option.

-shipShape <value>

Define the ship shape to use.
    Because the argument to this option

    is rather large (up to 500 bytes) the recommended way to set this option is in the .xpilotrc file in your home directory. The exact format is defined in the file doc/README.SHIPS in the XPilot distribution. Note that there is a nifty Unix tool called editss for easy ship creation. There is XPShipEditor for Windows and Ship Shaper for Java. See the XPilot FAQ for details. See also the "shipShapeFile" option below. There is no default value for this option.

-shipShapeFile <value>

    An optional file where shipshapes can be stored. If this resource is defined and it refers to an existing file then shipshapes can be referenced to by their name. For instance if you define shipShapeFile to be /home/myself/.shipshapes and this file contains one or more shipshapes then you can select the shipshape by starting xpilot as:

    xpilot -shipShape myshipshapename

    Where "myshipshapename" should be the "name:" or "NM:" of one of the shipshapes defined in /home/myself/.shipshapes. Each shipshape definition should be defined on only one line, where all characters up to the first left parenthesis don't matter. The default value is: /home/kps/share/xpilot-ng/shipshapes.txt.

-texturePath <value>

    Search path for texture files. This is a list of one or more directories separated by colons. The default value is: /home/kps/share/xpilot-ng/textures/.

-clientRankFile <value>

    An optional file where clientside kill/death rank is stored. There is no default value for this option.

-clientRankHTMLFile <value>

    An optional file where clientside kill/death rank is published in HTML format. There is no default value for this option.

-clientRankHTMLNOJSFile <value>

    An optional file where clientside kill/death rank is published in HTML format, w/o JavaScript. There is no default value for this option.

-sounds <value>

    Specifies the sound file. The default value is: /home/kps/share/xpilot-ng/sound/sounds.txt.

-maxVolume <value>

    Specifies the volume to play sounds with. The default value is: 100.

-audioServer <value>

    Specifies the audio server to use. There is no default value for this option.

-fullColor <value>

    Whether to use a colors as close as possible to the specified ones or use a few standard colors for everything. May require more resources from your system. The default value is: yes.

-texturedObjects <value>

    Whether to draw certain game objects with textures. Be warned that this requires more graphics speed. fullColor must be on for this to work. You may also need to enable multibuffering or double-buffering. The default value is: yes.

-geometry <value>

    Set the window size and position in standard X geometry format. The maximum allowed window size is 1922x1440. The default value is: 1024x768.

-display <value>

    Set the X display. There is no default value for this option.

-keyboard <value>

    Set the X keyboard input if you want keyboard input from another display. The default is to use the keyboard input from the X display. There is no default value for this option.

-visual <value>

    Specify which visual to use for allocating colors. To get a listing of all possible visuals on your dislay set the argument for this option to list. There is no default value for this option.

-colorSwitch <value>

    Use color buffering or not. Usually color buffering is faster, especially on 8-bit PseudoColor displays. The default value is: yes.

-multibuffer <value>

    Use the X windows multibuffer extension if present. The default value is: no.

-ignoreWindowManager <value>

    Ignore the window manager when opening the top level player window. This can be handy if you want to have your XPilot window on a preferred position without window manager borders. Also sometimes window managers may interfere when switching colormaps. This option may prevent that. The default value is: no.

-titleFlip <value>

    Should the title bar change or not. Some window managers like twm may have problems with flipping title bars. Hence this option to turn it off. The default value is: yes.

-gameFont <value>

    The font used on the HUD and for most other text. The default value is: -*-fixed-bold-*-*--13-*-*-*-c-*-iso8859-1.

-scoreListFont <value>

    The font used on the score list. This must be a non-proportional font. The default value is: -*-fixed-bold-*-*--13-*-*-*-c-*-iso8859-1.

-buttonFont <value>

    The font used on all buttons. The default value is: -*-fixed-bold-*-*--13-*-*-*-c-*-iso8859-1.

-textFont <value>

    The font used in the help and about windows. The default value is: -*-fixed-bold-*-*--13-*-*-*-c-*-iso8859-1.

-talkFont <value>

    The font used in the talk window. The default value is: -*-fixed-bold-*-*--15-*-*-*-c-*-iso8859-1.

-motdFont <value>

    The font used in the MOTD window and key list window. This must be a non-proportional font. The default value is: -*-fixed-bold-*-*--13-*-*-*-c-*-iso8859-1.

-messageFont <value>

    The font used for drawing messages. The default value is: -*-fixed-bold-*-*--13-*-*-*-c-*-iso8859-1.

-showNastyShots <value>

    Use the Nasty Looking Shots instead of the round shots. You will probably want to increase your shotSize if you use this. The default value is: no.

-mouseAccelInClient <value>

    This option makes the client handle the mouse acceleration. Options mouseAccelNum, mouseAccelDenom and mouseAccelThresh can be used to fine tune the acceleration. The default values of these three options give linear response to mouse movements. The default value is: yes.

-mouseAccelNum <value>

    Mouse acceleration numerator. The default value is: 0.

-mouseAccelDenom <value>

    Mouse acceleration denominator. The default value is: 1.

-mouseAccelThresh <value>

    Mouse acceleration threshold. The default value is: 0.

-hudColor <value>

    Which color number to use for drawing the HUD. The default value is: 2.

-hudHLineColor <value>

    Which color number to use for drawing the horizontal lines The default value is: 0.

-hudVLineColor <value>

    Which color number to use for drawing the vertical lines in the HUD. The default value is: 0.

-hudItemsColor <value>

    Which color number to use for drawing owned items on the HUD. The default value is: 2.

-hudRadarEnemyColor <value>

    Which color number to use for drawing hudradar dots that represent enemy ships. The default value is: 3.

-hudRadarOtherColor <value>

    Which color number to use for drawing hudradar dots that represent friendly ships or other objects. The default value is: 2.

-hudLockColor <value>

    Which color number to use for drawing the lock on the HUD. The default value is: 0.

-fuelGaugeColor <value>

    Which color number to use for drawing the fuel gauge. The default value is: 0.

-dirPtrColor <value>

    Which color number to use for drawing the direction pointer hack. The default value is: 0.

-messagesColor <value>

    Which color number to use for drawing messages. The default value is: 12.

-oldMessagesColor <value>

    Which color number to use for drawing old messages. The default value is: 13.

-msgScanBallColor <value>

    Which color number to use for drawing ball message warning. The default value is: 3.

-msgScanSafeColor <value>

    Which color number to use for drawing safe message. The default value is: 4.

-msgScanCoverColor <value>

    Which color number to use for drawing cover message. The default value is: 2.

-msgScanPopColor <value>

    Which color number to use for drawing pop message. The default value is: 11.

-fuelMeterColor <value>

    Which color number to use for drawing the fuel meter. The default value is: 0.

-powerMeterColor <value>

    Which color number to use for drawing the power meter. The default value is: 0.

-turnSpeedMeterColor <value>

    Which color number to use for drawing the turn speed meter. The default value is: 0.

-packetSizeMeterColor <value>

    Which color number to use for drawing the packet size meter. Each bar is equavalent to 1024 bytes, for a maximum of 4096 bytes. The default value is: 0.

-packetLossMeterColor <value>

    Which color number to use for drawing the packet loss meter. This gives the percentage of lost frames due to network failure. The default value is: 3.

-packetDropMeterColor <value>

    Which color number to use for drawing the packet drop meter. This gives the percentage of dropped frames due to display slowness. The default value is: 3.

-packetLagMeterColor <value>

    Which color number to use for drawing the packet lag meter. This gives the amount of lag in frames over the past one second. The default value is: 3.

-temporaryMeterColor <value>

    Which color number to use for drawing temporary meters. The default value is: 3.

-meterBorderColor <value>

    Which color number to use for drawing borders of meters. The default value is: 2.

-scoreObjectColor <value>

    Which color number to use for drawing score objects. The default value is: 4.

-wallRadarColor <value>

    Which color number to use for drawing walls on the radar. Valid values all even numbers smaller than maxColors. The default value is: 8.

-decorRadarColor <value>

    Which color number to use for drawing decorations on the radar. Valid values are all even numbers smaller than maxColors. The default value is: 6.

-targetRadarColor <value>

    Which color number to use for drawing targets on the radar. Valid values are all even numbers smaller than maxColors. The default value is: 4.

-clockColor <value>

    Which color number to use for drawing the clock. The clock is displayed in the top right of the score window. The default value is: 1.

-scoreColor <value>

    Which color number to use for drawing score list entries. The default value is: 1.

-scoreSelfColor <value>

    Which color number to use for drawing your own score. The default value is: 3.

-scoreInactiveColor <value>

    Which color number to use for drawing inactive players's scores. The default value is: 12.

-scoreInactiveSelfColor <value>

    Which color number to use for drawing your score when inactive. The default value is: 12.

-scoreOwnTeamColor <value>

    Which color number to use for drawing your own team score. The default value is: 4.

-scoreEnemyTeamColor <value>

    Which color number to use for drawing enemy team score. The default value is: 11.

-baseNameColor <value>

    Which color number to use for drawing names of bases (unless drawn in one of the life colors). The default value is: 2.

-backgroundPointColor <value>

    Which color number to use for drawing background points. The default value is: 2.

-fuelColor <value>

    Which color number to use for drawing fuel stations. The default value is: 3.

-visibilityBorderColor <value>

    Which color number to use for drawing the visibility border. The default value is: 2.

-teamShotColor <value>

    Which color number to use for drawing harmless shots. The default value is: 2.

-ballColor <value>

    Which color number to use for drawing balls. The default value is: 1.

-connColor <value>

    Which color number to use for drawing connectors. The default value is: 2.

-zeroLivesColor <value>

    Which color to associate with ships with zero lives left. This can be used to paint for example ship and base names. The default value is: 5.

-oneLifeColor <value>

    Which color to associate with ships with one life left. This can be used to paint for example ship and base names. The default value is: 11.

-twoLivesColor <value>

    Which color to associate with ships with two lives left. This can be used to paint for example ship and base names. The default value is: 4.

-manyLivesColor <value>

    Which color to associate with ships with more than two lives left. This can be used to paint for example ship and base names. The default value is: 0.

-selfLWColor <value>

    Which color to use to paint your ship in when on last life. Original color for this is red. The default value is: 3.

-enemyLWColor <value>

    Which color to use to paint enemy ships in when on last life. Original color for this is red. The default value is: 3.

-teamLWColor <value>

    Which color to use to paint teammate ships in when on last life. Original color for this is green. The default value is: 2.

-shipNameColor <value>

    Which color number to use for drawing names of ships (unless drawn in one of the life colors). The default value is: 2.

-mineNameColor <value>

    Which color number to use for drawing names of mines. The default value is: 2.

-teamShipColor <value>

    Which color number to use for drawing your teammates. The default value is: 2.

-team0Color <value>

    Which color number to use for drawing team 0 objects. The default value is: 0.

-team1Color <value>

    Which color number to use for drawing team 1 objects. The default value is: 0.

-team2Color <value>

    Which color number to use for drawing team 2 objects. The default value is: 0.

-team3Color <value>

    Which color number to use for drawing team 3 objects. The default value is: 0.

-team4Color <value>

    Which color number to use for drawing team 4 objects. The default value is: 0.

-team5Color <value>

    Which color number to use for drawing team 5 objects. The default value is: 0.

-team6Color <value>

    Which color number to use for drawing team 6 objects. The default value is: 0.

-team7Color <value>

    Which color number to use for drawing team 7 objects. The default value is: 0.

-team8Color <value>

    Which color number to use for drawing team 8 objects. The default value is: 0.

-team9Color <value>

    Which color number to use for drawing team 9 objects. The default value is: 0.

-msg1 <value>

    Talkmessage 1. The default value is: #t:*** BALL! Our ball is gone! Save it! ***.

-msg2 <value>

    Talkmessage 2. The default value is: #t:*** SAFE! Our ball is safe. ***.

-msg3 <value>

    Talkmessage 3. The default value is: #t:*** COVER! The enemy ball is approaching our base. ***.

-msg4 <value>

    Talkmessage 4. The default value is: #t:*** POP! The enemy ball is back at the enemy base. ***.

-msg5 <value>

    Talkmessage 5. The default value is: #=[#t|2|/team 4|/team 2].

-msg6 <value>

    Talkmessage 6. There is no default value for this option.

-msg7 <value>

    Talkmessage 7. There is no default value for this option.

-msg8 <value>

    Talkmessage 8. There is no default value for this option.

-msg9 <value>

    Talkmessage 9. There is no default value for this option.

-msg10 <value>

    Talkmessage 10. There is no default value for this option.

-msg11 <value>

    Talkmessage 11. There is no default value for this option.

-msg12 <value>

    Talkmessage 12. There is no default value for this option.

-msg13 <value>

    Talkmessage 13. There is no default value for this option.

-msg14 <value>

    Talkmessage 14. There is no default value for this option.

-msg15 <value>

    Talkmessage 15. There is no default value for this option.

-msg16 <value>

    Talkmessage 16. There is no default value for this option.

-msg17 <value>

    Talkmessage 17. There is no default value for this option.

-msg18 <value>

    Talkmessage 18. There is no default value for this option.

-msg19 <value>

    Talkmessage 19. There is no default value for this option.

-msg20 <value>

    Talkmessage 20. There is no default value for this option.

-keyTurnLeft <value>

    Turn left (anti-clockwise). There is no default value for this option.

-keyTurnRight <value>

    Turn right (clockwise). There is no default value for this option.

-keyThrust <value>

    Thrust. The default keys are: Shift_R Shift_L.

-keyShield <value>

    Raise or toggle the shield. The default key is: space.

-keyFireShot <value>

    Fire shot. Note that shields must be down to fire. The default keys are: Return Linefeed.

-keyFireMissile <value>

    Fire smart missile. The default key is: backslash.

-keyFireTorpedo <value>

    Fire unguided torpedo. The default key is: quoteright.

-keyFireHeat <value>

    Fire heatseeking missile. The default key is: semicolon.

-keyFireLaser <value>

    Activate laser beam. The default key is: slash.

-keyDropMine <value>

    Drop a stationary mine. The default key is: Tab.

-keyDetachMine <value>

    Detach a moving mine. The default key is: bracketright.

-keyDetonateMines <value>

    Detonate the closest mine you have dropped or thrown. The default key is: equal.

-keyLockClose <value>

    Lock on closest player. The default key is: Up.

-keyLockNextClose <value>

    Lock on next closest player. The default key is: Down.

-keyLockNext <value>

    Lock on next player. The default keys are: Next Right.

-keyLockPrev <value>

    Lock on previous player. The default keys are: Prior Right.

-keyRefuel <value>

    Refuel. The default keys are: f Control_L Control_R.

-keyRepair <value>

    Repair target. The default key is: f.

-keyCloak <value>

    Toggle cloakdevice. The default keys are: Delete BackSpace.

-keyEcm <value>

    Use ECM. The default key is: bracketleft.

-keySelfDestruct <value>

    Toggle self destruct. The default key is: End.

-keyIdMode <value>

    Toggle User mode (show real names). The default key is: u.

-keyPause <value>

    Toggle pause mode. When the ship is stationary on its homebase. The default key is: Pause.

-keySwapSettings <value>

    Swap to alternate control settings. These are the power, turn speed and turn resistance settings. There is no default value for this option.

-keySwapScaleFactor <value>

    Swap scalefactor settings. There is no default value for this option.

-keyChangeHome <value>

    Change home base. When the ship is close to a suitable base. The default keys are: Home h.

-keyConnector <value>

    Connect to a ball. The default keys are: f Control_L Control_R.

-keyDropBall <value>

    Drop a ball. The default key is: d.

-keyTankNext <value>

    Use the next tank. The default key is: e.

-keyTankPrev <value>

    Use the the previous tank. The default key is: w.

-keyTankDetach <value>

    Detach the current tank. The default key is: r.

-keyIncreasePower <value>

    Increase engine power. The default key is: KP_Multiply.

-keyDecreasePower <value>

    Decrease engine power. The default key is: KP_Divide.

-keyIncreaseTurnspeed <value>

    Increase turnspeed. The default key is: KP_Add.

-keyDecreaseTurnspeed <value>

    Decrease turnspeed. The default key is: KP_Subtract.

-keyTransporter <value>

    Use transporter to steal an item. The default key is: t.

-keyDeflector <value>

    Toggle deflector. The default key is: o.

-keyHyperJump <value>

    Teleport. The default key is: q.

-keyPhasing <value>

    Use phasing device. The default key is: p.

-keyTalk <value>

    Toggle talk window. The default key is: m.

-keyToggleNuclear <value>

    Toggle nuclear weapon modifier. The default key is: n.

-keyToggleCluster <value>

    Toggle cluster weapon modifier. The default key is: c.

-keyToggleImplosion <value>

    Toggle implosion weapon modifier. The default key is: i.

-keyToggleVelocity <value>

    Toggle explosion velocity weapon modifier. The default key is: v.

-keyToggleMini <value>

    Toggle mini weapon modifier. The default key is: x.

-keyToggleSpread <value>

    Toggle spread weapon modifier. The default key is: z.

-keyTogglePower <value>

    Toggle power weapon modifier. The default key is: b.

-keyToggleCompass <value>

    Toggle HUD/radar compass lock. The default key is: KP_7.

-keyToggleAutoPilot <value>

    Toggle automatic pilot mode. The default key is: h.

-keyToggleLaser <value>

    Toggle laser modifier. The default key is: l.

-keyEmergencyThrust <value>

    Pull emergency thrust handle. The default key is: j.

-keyEmergencyShield <value>

    Toggle emergency shield power. The default key is: Caps_Lock.

-keyTractorBeam <value>

    Use tractor beam in attract mode. The default key is: comma.

-keyPressorBeam <value>

    Use tractor beam in repulse mode. The default key is: period.

-keyClearModifiers <value>

    Clear current weapon modifiers. The default key is: k.

-keyLoadModifiers1 <value>

    Load the weapon modifiers from bank 1. The default key is: 1.

-keyLoadModifiers2 <value>

    Load the weapon modifiers from bank 2. The default key is: 2.

-keyLoadModifiers3 <value>

    Load the weapon modifiers from bank 3. The default key is: 3.

-keyLoadModifiers4 <value>

    Load the weapon modifiers from bank 4. The default key is: 4.

-keyToggleOwnedItems <value>

    Toggle list of owned items on HUD. The default key is: KP_8.

-keyToggleMessages <value>

    Toggle showing of messages. The default key is: KP_9.

-keyReprogram <value>

    Reprogram modifier or lock bank. The default key is: quoteleft.

-keyLoadLock1 <value>

    Load player lock from bank 1. The default key is: 5.

-keyLoadLock2 <value>

    Load player lock from bank 2. The default key is: 6.

-keyLoadLock3 <value>

    Load player lock from bank 3. The default key is: 7.

-keyLoadLock4 <value>

    Load player lock from bank 4. The default key is: 8.

-keyToggleRecord <value>

    Toggle recording of session (see recordFile). The default key is: KP_5.

-keyToggleRadarScore <value>

    Toggles the radar and score windows on and off. The default key is: F11.

-keyToggleFullScreen <value>

    Toggles between fullscreen mode and window mode. The default key is: F11.

-keySelectItem <value>

    Select an item to lose. The default keys are: KP_0 KP_Insert.

-keyLoseItem <value>

    Lose the selected item. The default keys are: KP_Delete KP_Decimal.

-keyPrintMessagesStdout <value>

    Print the current messages to stdout. The default key is: Print.

-keyTalkCursorLeft <value>

    Move Cursor to the left in the talk window. The default key is: Left.

-keyTalkCursorRight <value>

    Move Cursor to the right in the talk window. The default key is: Right.

-keyTalkCursorUp <value>

    Browsing in the history of the talk window. The default key is: Up.

-keyTalkCursorDown <value>

    Browsing in the history of the talk window. The default key is: Down.

-keyPointerControl <value>

    Toggle pointer control. The default key is: KP_Enter.

-keyExit <value>

    Generic exit key. Used for example to exit mouse mode or quit the client. The default key is: Escape.

-keyYes <value>

    Positive reply key. Used to reply 'yes' to client questions. The default key is: y.

-keyNo <value>

    Negative reply key. Used to reply 'no' to client questions. The default key is: n.

-keySendMsg1 <value>

    Sends the talkmessage stored in msg1. The default key is: F1.

-keySendMsg2 <value>

    Sends the talkmessage stored in msg2. The default key is: F2.

-keySendMsg3 <value>

    Sends the talkmessage stored in msg3. The default key is: F3.

-keySendMsg4 <value>

    Sends the talkmessage stored in msg4. The default key is: F4.

-keySendMsg5 <value>

    Sends the talkmessage stored in msg5. The default key is: F5.

-keySendMsg6 <value>

    Sends the talkmessage stored in msg6. The default key is: F6.

-keySendMsg7 <value>

    Sends the talkmessage stored in msg7. The default key is: F7.

-keySendMsg8 <value>

    Sends the talkmessage stored in msg8. The default key is: F8.

-keySendMsg9 <value>

    Sends the talkmessage stored in msg9. The default key is: F9.

-keySendMsg10 <value>

    Sends the talkmessage stored in msg10. The default key is: F10.

-keySendMsg11 <value>

    Sends the talkmessage stored in msg11. There is no default value for this option.

-keySendMsg12 <value>

    Sends the talkmessage stored in msg12. There is no default value for this option.

-keySendMsg13 <value>

    Sends the talkmessage stored in msg13. There is no default value for this option.

-keySendMsg14 <value>

    Sends the talkmessage stored in msg14. There is no default value for this option.

-keySendMsg15 <value>

    Sends the talkmessage stored in msg15. There is no default value for this option.

-keySendMsg16 <value>

    Sends the talkmessage stored in msg16. There is no default value for this option.

-keySendMsg17 <value>

    Sends the talkmessage stored in msg17. There is no default value for this option.

-keySendMsg18 <value>

    Sends the talkmessage stored in msg18. There is no default value for this option.

-keySendMsg19 <value>

    Sends the talkmessage stored in msg19. There is no default value for this option.

-keySendMsg20 <value>

    Sends the talkmessage stored in msg20. There is no default value for this option.

-pointerButton1 <value>

    The keys to activate when pressing the first mouse button. The default value is: keyFireShot.

-pointerButton2 <value>

    The keys to activate when pressing the second mouse button. The default value is: keyThrust.

-pointerButton3 <value>

    The keys to activate when pressing the third mouse button. The default value is: keyThrust.

-pointerButton4 <value>

    The keys to activate when pressing the fourth mouse button. There is no default value for this option.

-pointerButton5 <value>

    The keys to activate when pressing the fifth mouse button. There is no default value for this option.

-recordFile <value>

    An optional file where a recording of a game can be made. If this file is undefined then recording isn't possible. There is no default value for this option.

-maxColors <value>

    The number of colors to use. Use value 16. Other values are not actively supported. The default value is: 16.

-color0 <value>

    The color value for the first color. The default value is: #000000.

-color1 <value>

    The color value for the second color. The default value is: #FFFFFF.

-color2 <value>

    The color value for the third color. The default value is: #4E7CFF.

-color3 <value>

    The color value for the fourth color. The default value is: #FF3A27.

-color4 <value>

    The color value for the fifth color. The default value is: #33BB44.

-color5 <value>

    The color value for the sixth color. The default value is: #992200.

-color6 <value>

    The color value for the seventh color. The default value is: #BB7700.

-color7 <value>

    The color value for the eighth color. The default value is: #EE9900.

-color8 <value>

    The color value for the ninth color. The default value is: #002299.

-color9 <value>

    The color value for the tenth color. The default value is: #CC4400.

-color10 <value>

    The color value for the eleventh color. The default value is: #DD8800.

-color11 <value>

    The color value for the twelfth color. The default value is: #FFBB11.

-color12 <value>

    The color value for the thirteenth color. The default value is: #9F9F9F.

-color13 <value>

    The color value for the fourteenth color. The default value is: #5F5F5F.

-color14 <value>

    The color value for the fifteenth color. The default value is: #DFDFDF.

-color15 <value>

    The color value for the sixteenth color. The default value is: #202020.

-sparkColors <value>

    Which color numbers to use for spark and debris particles. The default value is: 5,6,7,3.

-wallColor <value>

    Which color number to use for drawing walls. The default value is: 2.

-decorColor <value>

    Which color number to use for drawing decorations. The default value is: 6.

-windowColor <value>

    Which color number to use for drawing windows. The default value is: 8.

-buttonColor <value>

    Which color number to use for drawing buttons. The default value is: 2.

-borderColor <value>

    Which color number to use for drawing borders. The default value is: 1.

Most of these options can also be set in the .xpilotrc file in your home directory. Each key option may have multiple keys bound to it and one key may be used by multiple key options. If no server is specified on the command line, xpilot will display a welcome screen where you can select a server.

    XPilot NG 4.7.0 comes with ABSOLUTELY NO WARRANTY; for details see the provided COPYING file.

xpilot-ng-x11 4.7.0